{% extends 'static.html' %} {% block content %}
<title>Daftar Hewan Adopsi</title>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css">
{% if request.session.Role == 'Karyawan' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" href="/" style="color:#20a9f8;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">RAD</span>
  </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Event
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event/create-event">Create Event</a>
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Adopsi
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi/create-adopsi">Create Adopsi</a>
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Statistik
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Statistik Dokter</a>
                    <a class="dropdown-item" href="#">Statistik Grooming</a>
                    <a class="dropdown-item" href="#">Statistik Event</a>
                    <a class="dropdown-item" href="#">Statistik Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %} {% if request.session.Role == 'Admin' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" href="/" style="color:#20a9f8;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">RAD</span>
  </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Users
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/user/add-user">Create User</a>
                    <a class="dropdown-item" href="/user/list-user">List User</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Dokter
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Grooming
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Layanan Master Data</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Event
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Adopsi
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Statistik
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Statistik Dokter</a>
                    <a class="dropdown-item" href="#">Statistik Grooming</a>
                    <a class="dropdown-item" href="#">Statistik Event</a>
                    <a class="dropdown-item" href="#">Statistik Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %} {% if request.session.Role == 'Customer' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" style="color:#20a9f8;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">RAD</span>
    </a>
    <!-- <a class="navbar-brand" href="/">
        <div class="logo-image">
            <img src="SIRADLOGO.png" alt="img" style="max-width: 20px; max-height: 24px"></img>
        </div>
    </a> -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Dokter
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Create Appointment</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Grooming
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Create Appointment</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Event
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Adopsi
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %}
<br>
<style>
    .containers {
        padding: 16px 16px;
        width: 300px;
        height: 300px;
    }
    
    .custom-table {
        background-color: #ebf2f5;
    }
</style>

<body style="background-color: rgb(255, 255, 255);">
    <br>
    <div class="container">
        <h2 style="color:#080808;font-family: 'Poppins', sans-serif;font-size: 36px;font-weight: 600;">Daftar Hewan Adopsi </h2>
        {% if request.session.Role == 'Karyawan' %}
            <div class="d-grid d-md-flex justify-content-md-end">
                <a href="/adopsi/create-adopsi">
                    <button type="button" class="btn btn-secondary" style="font-family: 'Poppins', sans-serif;">+ Tambah Hewan</button>
                </a>
            </div>
        {% endif %}
        {% if request.session.Role == 'Customer' %}
            <div class="d-grid d-md-flex justify-content-md-end">
                <a href="/adopsi/list-adopsi-customer">
                    <button type="button" class="btn btn-secondary" style="font-family: 'Poppins', sans-serif;">Daftar Adopsi Anda 🐈‍⬛🐈🐕‍🦺</button>
                </a>
            </div>
        {% endif %}
        <br>
        <div class="tab-content">
            {% if all_hewan %}
                <div class="wrap">
                    <table class="table table-bordered border-dark">
                        <thead class="table-dark">
                            <tr>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">No</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Nama</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Jenis</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Ras</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Warna</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Status</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;" class="text-center">Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for hewan in all_hewan %}
                            <tr>
                                <td style="font-family: 'Poppins', sans-serif; font-weight: bold;">{{ forloop.counter }}</td>
                                <td style="font-family: 'Poppins', sans-serif;">{{ hewan.nama }}</td>
                                <td style="font-family: 'Poppins', sans-serif;">{{ hewan.jenis }}</td>
                                <td style="font-family: 'Poppins', sans-serif;">{{ hewan.ras }}</td>
                                <td style="font-family: 'Poppins', sans-serif;">{{ hewan.warna }}</td>
                                <td style="font-family: 'Poppins', sans-serif;">{{ hewan.status }}</td>
                                <td class="text-center">
                                    {% if request.session.Role == 'Karyawan' %}
                                        <a class="btn btn-primary mt-1" href="/adopsi/read-adopsi/{{ hewan.hewan_id }}">Detail</a>
                                        {% if hewan.status == 'Belum diadopsi' %}
                                            <a class="btn btn-info mt-1" href="/adopsi/update-adopsi/{{ hewan.hewan_id }}">Update</a>
                                            <a class="btn btn-danger mt-1" href="/adopsi/delete-adopsi/{{ hewan.hewan_id }}" onclick="return confirm('⚠️ Apakah Anda yakin ingin MENGHAPUS hewan ini?')">Hapus</a>
                                        {% endif %}
                                    {% endif %}
                                    {% if request.session.Role == 'Customer' %}
                                        {% if hewan.status == 'Diadopsi' %} 
                                            <a disabled class="btn btn-info" href="#">Tidak Tersedia</a>
                                        {% else %}
                                            <a class="btn btn-primary" href="/adopsi/read-adopsi/{{ hewan.hewan_id }}">Detail</a>
                                        {% endif %}
                                    {% endif %}
                                    {% if request.session.Role == 'Admin' %}
                                    <a class="btn btn-primary" href="#">Detail</a>
                                    {% endif %}
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% else %}
            <br>
            <br>
            <p>Tidak ada hewan untuk diadopsi.</p>
            {% endif %}
        </div>

    </div>
</body>


{% endblock %}